System.Design 2.0.0.0 System.ComponentModel.Design.Data.DesignerDataTableBase

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

The class represents a single data view in the data store. A collection of objects is returned when you call the method with the parameter set to .

Represents a data view in the data store.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name.

  The name of the view.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name and owner.

  The name of the view.
  The data-store owner of the view.